List MCP server tools

GET/tools/mcp-server/{mcp_server_id}/list

Lists all MCP server tools for a specific MCP server

RequiresBearerauthentication

Path parameters

mcp_server_idstringrequired

ID of the MCP server to list tools for

Returns  

Successfully listed MCP server tools

Response fields

successbooleanoptional

Whether the operation succeeded

messagestringoptional

Status message

dataobjectoptional

Single MCP server tool (returned by GET /tools/mcp-server/tool/{mcp_server_tool_id}).

idstringoptional

ID of the MCP server tool

namestringoptional

Name of the MCP server tool

descriptionstringoptional

Description of the MCP server tool

input_schemaobjectoptional

Input schema of the MCP server tool

mcp_server_idstringoptional

ID of the MCP server that the tool belongs to

mcp_server_urlstringoptional

URL of the MCP server

mcp_server_toolsobject[]optional

List of MCP server tools. Returned by /tools/mcp-server/{mcp_server_id}/list.

idstringoptional

ID of the MCP server tool

namestringoptional

Name of the MCP server tool

descriptionstringoptional

Description of the MCP server tool

input_schemaobjectoptional

Input schema of the MCP server tool

mcp_server_idstringoptional

ID of the MCP server that the tool belongs to

mcp_server_urlstringoptional

URL of the MCP server

GETRequest
curl 'https://experiment.app.pheno.ml/tools/mcp-server/abc-123-def-456/list' \
  -H 'Authorization: Bearer YOUR_API_KEY'
200 OKResponse
{
  "success": true,
  "message": "Successfully listed MCP server tools",
  "data": {
    "id": "123",
    "name": "My MCP Server Tool",
    "description": "My MCP Server Tool is a tool that provides MCP services",
    "input_schema": {
      "name": "string",
      "age": "number"
    },
    "mcp_server_id": "123",
    "mcp_server_url": "https://mcp.example.com"
  },
  "mcp_server_tools": [
    {
      "id": {},
      "name": {},
      "description": {},
      "input_schema": {},
      "mcp_server_id": {},
      "mcp_server_url": {}
    }
  ]
}